[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: help, automake generated a buggy Makefile?

From: Ralf Wildenhues
Subject: Re: help, automake generated a buggy Makefile?
Date: Mon, 15 Oct 2007 19:01:19 +0200
User-agent: Mutt/1.5.16 (2007-10-11)

Hello Steven,

* Steven Woody wrote on Mon, Oct 15, 2007 at 05:45:57PM CEST:
> On 10/15/07, Ralf Wildenhues <address@hidden> wrote:
> >
> > This looks like this file has been generated with Automake 1.9 rather
> > than 1.10.  Please check the comment at the top of the file, and if
> > that's the case, please run
> >   aclocal-1.10 && automake-1.10 && autoconf
> after removed extra spaces in and re-executed automake
> 1.10 in an explicitly way as you mentioned above,  every thing run
> well and the gcc error have disapeared! thanks for you help!


> but i still dont understand, why when i typed `automake', it actually
> run 1.9.6 rather than the most recent version of 1.10.  should i
> delete all old version of autoexec/aclocal in my system?

Well, each Automake version installs the program under both names
`automake' and `automake-MAJOR.MINOR'.  If you have installed 1.9.x
after you installed 1.10, or if you have installed them in different
prefixes, and the 1.9.x one happens to be found earlier in $PATH, then
that one will be used when you type `automake'.  Similar for aclocal.

That said, you need not delete old Automake installations.  Rather,
either adjust $PATH, or reinstall 1.10.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]